Package org.eclipse.microprofile.openapi.filter

## Class AirlinesOASFilter

- java.lang.Object
- - org.eclipse.microprofile.openapi.filter.AirlinesOASFilter

All Implemented Interfaces:
  `OASFilter`

    public class AirlinesOASFilter
    extends Object
    implements OASFilter

### Constructor Summary

Constructors
`AirlinesOASFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`APIResponse` `filterAPIResponse​(APIResponse apiResponse)`
`Callback` `filterCallback​(Callback callback)`
`Header` `filterHeader​(Header header)`
`Link` `filterLink​(Link link)`
`void` `filterOpenAPI​(OpenAPI openAPI)`
`Operation` `filterOperation​(Operation operation)`
`Parameter` `filterParameter​(Parameter parameter)`
`PathItem` `filterPathItem​(PathItem pathItem)`
`RequestBody` `filterRequestBody​(RequestBody requestBody)`
`Schema` `filterSchema​(Schema schema)`
`SecurityScheme` `filterSecurityScheme​(SecurityScheme securityScheme)`
`Server` `filterServer​(Server server)`
`Tag` `filterTag​(Tag tag)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AirlinesOASFilter

    public AirlinesOASFilter()

### Method Detail

#### filterPathItem

    public PathItem filterPathItem​(PathItem pathItem)

Specified by:
  `filterPathItem` in interface `OASFilter`

#### filterOperation

    public Operation filterOperation​(Operation operation)

Specified by:
  `filterOperation` in interface `OASFilter`

#### filterParameter

    public Parameter filterParameter​(Parameter parameter)

Specified by:
  `filterParameter` in interface `OASFilter`

#### filterHeader

    public Header filterHeader​(Header header)

Specified by:
  `filterHeader` in interface `OASFilter`

#### filterRequestBody

    public RequestBody filterRequestBody​(RequestBody requestBody)

Specified by:
  `filterRequestBody` in interface `OASFilter`

#### filterAPIResponse

    public APIResponse filterAPIResponse​(APIResponse apiResponse)

Specified by:
  `filterAPIResponse` in interface `OASFilter`

#### filterSchema

    public Schema filterSchema​(Schema schema)

Specified by:
  `filterSchema` in interface `OASFilter`

#### filterSecurityScheme

    public SecurityScheme filterSecurityScheme​(SecurityScheme securityScheme)

Specified by:
  `filterSecurityScheme` in interface `OASFilter`

#### filterServer

    public Server filterServer​(Server server)

Specified by:
  `filterServer` in interface `OASFilter`

#### filterTag

    public Tag filterTag​(Tag tag)

Specified by:
  `filterTag` in interface `OASFilter`

#### filterLink

    public Link filterLink​(Link link)

Specified by:
  `filterLink` in interface `OASFilter`

#### filterCallback

    public Callback filterCallback​(Callback callback)

Specified by:
  `filterCallback` in interface `OASFilter`

#### filterOpenAPI

    public void filterOpenAPI​(OpenAPI openAPI)

Specified by:
  `filterOpenAPI` in interface `OASFilter`